Skip to main content
POST
Python
Async operation: This endpoint returns immediately with an evaluation ID. Poll GET /api/dataframer/evaluations/{evaluation_id}/ until status is COMPLETED or FAILED.
The run must be in SUCCEEDED status before an evaluation can be created.

Authorizations

Authorization
string
header
required

API Key authentication. Format: "Bearer YOUR_API_KEY"

Body

application/json

Request body for creating an evaluation

run_id
string<uuid>
required

ID of the completed run to evaluate. Run must be in SUCCEEDED status.

evaluation_model
enum<string>
default:anthropic/claude-sonnet-5-5-thinking

AI model to use for evaluation. Defaults to anthropic/claude-sonnet-5-thinking.

Available options:
anthropic/claude-fable-5-1-thinking,
anthropic/claude-opus-5-5-thinking,
anthropic/claude-sonnet-5-5-thinking,
openai/gpt-6-astra,
openai/gpt-6-astra-thinking,
openai/gpt-6.1-sol,
openai/gpt-6.1-sol-thinking,
openai/gpt-5.6-terra,
openai/gpt-5.6-terra-thinking,
databricks/system.ai.claude-sonnet-5,
databricks/system.ai.claude-sonnet-5-thinking,
databricks/system.ai.claude-opus-5,
databricks/system.ai.claude-opus-5-thinking,
databricks/system.ai.gpt-6-astra,
databricks/system.ai.gpt-6-astra-thinking,
databricks/system.ai.gpt-6-1-sol,
databricks/system.ai.gpt-6-1-sol-thinking,
databricks/system.ai.gpt-5-6-terra,
databricks/system.ai.gpt-5-6-terra-thinking

Response

Evaluation started successfully

id
string<uuid>

Unique identifier for the evaluation

run_id
string<uuid>

ID of the run being evaluated

status
enum<string>

Current status of the evaluation

Available options:
PENDING,
PROCESSING,
SUCCEEDED,
FAILED
distribution_analysis
object[] | null

Per-property comparison of expected vs observed distributions. Null until evaluation completes. Also empty when content_unavailable_reason is set.

sample_classifications
object[]

Classification results for each generated sample. Empty until evaluation completes. Also empty when content_unavailable_reason is set.

completed_at
string<date-time> | null

When evaluation completed

error_message
string | null

Error message if evaluation failed

created_by_email
string

Email of the user who created the evaluation

created_at
string<date-time>

When the evaluation was created

content_location
object | null

Where the evaluation's results are stored in your own cloud (null unless your deployment is customer-hosted)

content_unavailable_reason
enum<string> | null

Set when distribution_analysis and sample_classifications are empty because they are stored in your own cloud, not because nothing was classified. Absent or null otherwise. The Python SDK reads the text from your data plane, fills the fields and clears this

Available options:
result_content_in_data_plane